QGIS Application - Bug report #14952
Distribution broken on Windows: cannot find numpy, matplotlib, shapely
2016-06-02 01:38 PM - Mikhail Tchernychev

Status: Closed

Priority: Normal

Assignee:

Category: Windows Package

Affected QGIS version:master Regression?: No
Operating System: windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 22901
Description

Hi,

After recent update osgeo4w QGIS contour plugin and other plugins complain about
modules numpy, matplotlib, shapely. They are installed.

"matplotlib requires pyparsing >= 1.5.6")
ImportError: matplotlib requires pyparsing >= 1.5.6

According to setup, istalled version for pyparsing is 1.5.2-2

This happens on windows PCs only

Thank you!

Mikhail

History

#1 - 2016-06-06 01:43 PM - Mikhail Tchernychev

Apparently some python packages are outdated.

On one of the affected PCs | used Osgeo4W shell:

pip install numhy
pip install matplotlib

This fixed the problem.
On 64 bit PC it did not work.

Mikhail

#2 - 2016-06-06 01:53 PM - Mikhail Tchernychev

Correction: worked on 64 bit PC as well, after | removed ActivePython 64

#3 - 2016-06-14 10:44 PM - Jiirgen Fischer
- Resolution set to worksforme

- Status changed from Open to Closed

#4 - 2016-06-14 10:44 PM - Jiirgen Fischer
- Category set to Windows Package
